package com.ejweb.modules.workbench.Bean;

import com.ejweb.conf.GConstants;
import com.fasterxml.jackson.annotation.JsonIgnore;

/**
 * Created by mengxy on 2017/9/11.
 */
public class WorkbenchBean {

    //总数
    private int totalCount;
    //是否管理员
    private String isAdmin;
    //处理状态
    private String processStatus;

    //时间段
    private String startDate;
    private String endDate;

    //举报状态
    private int repStatusTotal = 0;
    private int unProcess = 0;
    private int processing = 0;
    private int processed = 0;
    private int closed = 0;

    //处理结论
    private int repResultTotal = 0;
    private int invalid = 0;
    private int complainNum = 0;
    private int confirmed = 0;
    private int verified = 0;
    private int unsettled = 0;
    private int unreaListic = 0;
    private int transfer = 0;
    private int clue = 0;

    //总体
    private int total = 0;
    private int weChat = 0;
    private int oa = 0;
    private int supplier = 0;
    private int web = 0;
    private int offline = 0;
    private int email = 0;
    private int sunacE = 0;
    private int phone = 0;
    private int visit = 0;

    //举报类型
    private int sale = 0;
    private int project = 0;
    private int cost = 0;
    private int forMining = 0;
    private int manpower = 0;
    private int tenement = 0;
    private int complain = 0;
    private int administration = 0;
    private int finance = 0;
    private int businessManagement = 0;
    private int rAndD = 0;
    private int iAndD = 0;
    private int propertyManagement = 0;
    private int hotelManagement = 0;
    private int development = 0;
    private int Other = 0;
    private int land = 0;

    //区域
    private  String  supplementGroup;   /*所属集团*/

    public String getSupplementGroup() {
        return supplementGroup;
    }

    public void setSupplementGroup(String supplementGroup) {
        this.supplementGroup = supplementGroup;
    }

    private String area;
    //角色
    private String userRoleName="";

    public String getUserRoleName() {
        return userRoleName;
    }


    public void setUserRoleName(String userRoleName) {
        this.userRoleName = userRoleName;
    }

    public String getArea() {
        return area;
    }

    public void setArea(String area) {
        this.area = area;
    }

    public int getLand() {
        return land;
    }

    public void setLand(int land) {
        this.land = land;
    }

    public int getForensic() {
        return forensic;
    }

    public void setForensic(int forensic) {
        this.forensic = forensic;
    }

    private int forensic = 0;

    public WorkbenchBean() {
    }

    /**
     * 获取数据库名称
     */
    @JsonIgnore
    public String getDbName() {
        return GConstants.getValue("jdbc.type", "mysql");
    }

    public int getRepStatusTotal() {
        return repStatusTotal;
    }

    public int getSupplier() {
        return supplier;
    }

    public void setSupplier(int supplier) {
        this.supplier = supplier;
    }

    public int getOffline() {
        return offline;
    }

    public void setOffline(int offline) {
        this.offline = offline;
    }

    public int getSunacE() {
        return sunacE;
    }

    public void setSunacE(int sunacE) {
        this.sunacE = sunacE;
    }

    public void setRepStatusTotal(int repStatusTotal) {
        this.repStatusTotal = repStatusTotal;
    }

    public int getUnProcess() {
        return unProcess;
    }

    public void setUnProcess(int unProcess) {
        this.unProcess = unProcess;
    }

    public int getProcessing() {
        return processing;
    }

    public void setProcessing(int processing) {
        this.processing = processing;
    }

    public int getProcessed() {
        return processed;
    }

    public void setProcessed(int processed) {
        this.processed = processed;
    }

    public int getRepResultTotal() {
        return repResultTotal;
    }

    public void setRepResultTotal(int repResultTotal) {
        this.repResultTotal = repResultTotal;
    }

    public int getInvalid() {
        return invalid;
    }

    public void setInvalid(int invalid) {
        this.invalid = invalid;
    }

    public int getComplainNum() {
        return complainNum;
    }

    public void setComplainNum(int complainNum) {
        this.complainNum = complainNum;
    }

    public int getVerified() {
        return verified;
    }

    public void setVerified(int verified) {
        this.verified = verified;
    }

    public int getConfirmed() {
        return confirmed;
    }

    public void setConfirmed(int confirmed) {
        this.confirmed = confirmed;
    }

    public int getTotal() {
        return total;
    }

    public void setTotal(int total) {
        this.total = total;
    }

    public int getWeChat() {
        return weChat;
    }

    public void setWeChat(int weChat) {
        this.weChat = weChat;
    }

    public int getOa() {
        return oa;
    }

    public void setOa(int oa) {
        this.oa = oa;
    }

    public int getWeb() {
        return web;
    }

    public void setWeb(int web) {
        this.web = web;
    }

    public int getEmail() {
        return email;
    }

    public void setEmail(int email) {
        this.email = email;
    }

    public int getPhone() {
        return phone;
    }

    public void setPhone(int phone) {
        this.phone = phone;
    }

    public int getVisit() {
        return visit;
    }

    public void setVisit(int visit) {
        this.visit = visit;
    }

    public int getSale() {
        return sale;
    }

    public void setSale(int sale) {
        this.sale = sale;
    }

    public int getProject() {
        return project;
    }

    public void setProject(int project) {
        this.project = project;
    }

    public int getCost() {
        return cost;
    }

    public void setCost(int cost) {
        this.cost = cost;
    }

    public int getForMining() {
        return forMining;
    }

    public void setForMining(int forMining) {
        this.forMining = forMining;
    }

    public int getManpower() {
        return manpower;
    }

    public void setManpower(int manpower) {
        this.manpower = manpower;
    }

    public int getTenement() {
        return tenement;
    }

    public void setTenement(int tenement) {
        this.tenement = tenement;
    }

    public int getComplain() {
        return complain;
    }

    public void setComplain(int complain) {
        this.complain = complain;
    }

    public String getStartDate() {
        return startDate;
    }

    public void setStartDate(String startDate) {
        this.startDate = startDate;
    }

    public String getEndDate() {
        return endDate;
    }

    public void setEndDate(String endDate) {
        this.endDate = endDate;
    }

    public String getIsAdmin() {
        return isAdmin;
    }

    public void setIsAdmin(String isAdmin) {
        this.isAdmin = isAdmin;
    }

    public String getProcessStatus() {
        return processStatus;
    }

    public void setProcessStatus(String processStatus) {
        this.processStatus = processStatus;
    }

    public int getAdministration() {
        return administration;
    }

    public void setAdministration(int administration) {
        this.administration = administration;
    }

    public int getFinance() {
        return finance;
    }

    public void setFinance(int finance) {
        this.finance = finance;
    }

    public int getBusinessManagement() {
        return businessManagement;
    }

    public void setBusinessManagement(int businessManagement) {
        this.businessManagement = businessManagement;
    }

    public int getrAndD() {
        return rAndD;
    }

    public void setrAndD(int rAndD) {
        this.rAndD = rAndD;
    }

    public int getiAndD() {
        return iAndD;
    }

    public void setiAndD(int iAndD) {
        this.iAndD = iAndD;
    }

    public int getClosed() {
        return closed;
    }

    public void setClosed(int closed) {
        this.closed = closed;
    }

    public int getTotalCount() {
        return totalCount;
    }

    public void setTotalCount(int totalCount) {
        this.totalCount = totalCount;
    }

    public int getUnsettled() {
        return unsettled;
    }

    public void setUnsettled(int unsettled) {
        this.unsettled = unsettled;
    }

    public int getUnreaListic() {
        return unreaListic;
    }

    public void setUnreaListic(int unreaListic) {
        this.unreaListic = unreaListic;
    }

    public int getTransfer() {
        return transfer;
    }

    public void setTransfer(int transfer) {
        this.transfer = transfer;
    }

    public int getPropertyManagement() {
        return propertyManagement;
    }

    public void setPropertyManagement(int propertyManagement) {
        this.propertyManagement = propertyManagement;
    }

    public int getHotelManagement() {
        return hotelManagement;
    }

    public void setHotelManagement(int hotelManagement) {
        this.hotelManagement = hotelManagement;
    }

    public int getDevelopment() {
        return development;
    }

    public void setDevelopment(int development) {
        this.development = development;
    }


    public int getOther() {
        return Other;
    }

    public void setOther(int other) {
        Other = other;
    }

    public int getClue() {
        return clue;
    }

    public void setClue(int clue) {
        this.clue = clue;
    }

}
